package com.engine.kq.service;

import weaver.hrm.User;

import java.util.Map;

/**
 * 加班规则
 */
public interface KQOvertimeRulesService {

    /**
     * 获取右键菜单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user);

    /**
     * 获取加班规则列表
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getSearchList(Map<String, Object> params, User user);

    /**
     * 获取新建或编辑的表单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getOvertimeRulesForm(Map<String, Object> params, User user);

    /**
     * 新建
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> addOvertimeRules(Map<String, Object> params, User user);

    /**
     * 编辑
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> editOvertimeRules(Map<String, Object> params, User user);

    /**
     * 删除
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> deleteOvertimeRules(Map<String, Object> params, User user);

    /**
     * 保存是否默认
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> saveDefault(Map<String, Object> params, User user);

    /**
     * 判断某考勤组是否重复设置了加班规则
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> isRepeatSetting(Map<String, Object> params, User user);

    /**
     * 获取加班单位的表单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getOvertimeUnitForm(Map<String, Object> params, User user);

    /**
     * 加班单位--保存
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> saveOvertimeUnit(Map<String, Object> params, User user);
}
